Skip to main content
Execute Document Command

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Path Parameters

documentId
integer<int32>
required

SuperOffice document ID

command
string
required

Command name, generally matching one of those returned from the GetDocumentCommands service. However, it is legal for document plugins to support commands that are not declared through GetDocumentCommands, for instance if a custom GUI needs to access plugin functionality.

Query Parameters

versionId
string

Version ID if applicable/desired; a blank value implies "latest" version and is always acceptable.

allowedReturnTypes
string[]

List of return types that the client is prepared to handle, in case the document plugin needs to request additional processing.
Standard allowed return types include 'None', 'Message', 'SoProtocol', 'CustomGui', 'Other'.
An empty array implies that the client places no restriction on possible return action requests.

additionalData
string[]

Any additional data that the document command needs. This parameter can be used as a tunnel between a custom-programmed GUI and its plugin.
It is suggested that the format is name=value, with one such pair per array item.

Response

OK

ExternalReference
string
VersionId
string
Success
boolean
Type
enum<string>
Available options:
None,
Message,
SoProtocol,
CustomGui,
Other,
URL
Value
string
AdditionalInfo
string